%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name react-intl

Name: %{?scl_prefix}nodejs-react-intl
Version: 2.8.0
Release: 4%{?dist}
Summary: Internationalize React apps
License: BSD-3-Clause
Group: Development/Libraries
URL: https://github.com/yahoo/react-intl
Source0: https://registry.npmjs.org/hoist-non-react-statics/-/hoist-non-react-statics-2.5.5.tgz
Source1: https://registry.npmjs.org/intl-format-cache/-/intl-format-cache-2.2.9.tgz
Source2: https://registry.npmjs.org/intl-messageformat/-/intl-messageformat-2.2.0.tgz
Source3: https://registry.npmjs.org/intl-messageformat-parser/-/intl-messageformat-parser-1.4.0.tgz
Source4: https://registry.npmjs.org/intl-relativeformat/-/intl-relativeformat-2.2.0.tgz
Source5: https://registry.npmjs.org/invariant/-/invariant-2.2.4.tgz
Source6: https://registry.npmjs.org/js-tokens/-/js-tokens-4.0.0.tgz
Source7: https://registry.npmjs.org/loose-envify/-/loose-envify-1.4.0.tgz
Source8: https://registry.npmjs.org/react-intl/-/react-intl-2.8.0.tgz
Source9: nodejs-react-intl-%{version}-registry.npmjs.org.tgz
%if 0%{?scl:1}
BuildRequires: %{?scl_prefix_nodejs}npm
%else
BuildRequires: nodejs-packaging
BuildRequires: npm
%endif
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch

Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}
Provides: bundled(npm(hoist-non-react-statics)) = 2.5.5
Provides: bundled(npm(intl-format-cache)) = 2.2.9
Provides: bundled(npm(intl-messageformat)) = 2.2.0
Provides: bundled(npm(intl-messageformat-parser)) = 1.4.0
Provides: bundled(npm(intl-relativeformat)) = 2.2.0
Provides: bundled(npm(invariant)) = 2.2.4
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(react-intl)) = 2.8.0
AutoReq: no
AutoProv: no

%if 0%{?scl:1}
%define npm_cache_dir npm_cache
%else
%define npm_cache_dir /tmp/npm_cache_%{name}-%{version}-%{release}
%endif

%description
%{summary}

%prep
mkdir -p %{npm_cache_dir}
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
for tgz in %{sources}; do
  echo $tgz | grep -q registry.npmjs.org || npm cache add --cache %{npm_cache_dir} $tgz
done
%{?scl:end_of_scl}

%setup -T -q -a 9 -D -n %{npm_cache_dir}

%build
%{?scl:scl enable %{?scl_nodejs} - << \end_of_scl}
npm install --cache-min Infinity --cache %{?scl:../}%{npm_cache_dir} --no-shrinkwrap --no-optional --global-style true %{npm_name}@%{version}
%{?scl:end_of_scl}

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/node_modules %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/lib %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/locale-data %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr node_modules/%{npm_name}/src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%clean
rm -rf %{buildroot} %{npm_cache_dir}

%files
%{nodejs_sitelib}/%{npm_name}
%license node_modules/%{npm_name}/LICENSE.md
%doc node_modules/%{npm_name}/CONTRIBUTING.md
%doc node_modules/%{npm_name}/README.md

%changelog
* Tue Mar 17 2020 Zach Huntington-Meath <zhunting@redhat.com> - 2.8.0-4
- Bump packages to build for el8

* Tue Oct 22 2019 Eric D. Helms <ericdhelms@gmail.com> - 2.8.0-3
- Build for SCL

* Fri Oct 04 2019 Eric D. Helms <ericdhelms@gmail.com> - 2.8.0-2
- Update specs to handle SCL

* Mon Feb 11 2019 Ohad Levy <ohadlevy@gmail.com> 2.8.0-1
- Update to 2.8.0

* Wed Jan 09 2019 Ewoud Kohl van Wijngaarden <ewoud@kohlvanwijngaarden.nl> 2.7.2-1
- Add nodejs-react-intl generated by npm2rpm using the single strategy
